@import "@/styles/variables";

.form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    width: 100%;

    .fields {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        width: 100%;

        .field {
            width: 100%;
        }

        .hfield {
            @include hidden-field;
        }
    }

    &-buttons {
        display: flex;
        justify-content: space-between;
        gap: 1rem;
        width: 100%;
    }

    &-button {
        &:first-child {
            flex: 1;
        }

        &:last-child {
            width: 100%;
        }
    }

    &-code {
        &-inputs {
            display: flex;
            gap: 0.5rem;
            width: 100%;
        }

        &-input {
            width: 100%;
            height: 58px;
            border: 1px solid $gray-300;
            border-radius: 8px;
            text-align: center;

            @include button-1;
        }
    }
}

.link {
    text-decoration: none;
    color: $primary-color;

    &:last-of-type {
        align-self: flex-end;
    }
}

.link-underlined {
    color: $primary-color;
    text-decoration: underline;
}
